| Gtk2Hs | Contents | Index

Graphics.UI.Gtk.MenuComboToolbar.SeparatorToolItem

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net

Contents

Detail
Class Hierarchy
Types
Constructors
Methods
Attributes

Description

A toolbar item that separates groups of other toolbar items

- Module available since Gtk+ version 2.4

Synopsis

data SeparatorToolItem
class ToolItemClass o => SeparatorToolItemClass o
castToSeparatorToolItem :: GObjectClass obj => obj -> SeparatorToolItem
toSeparatorToolItem :: SeparatorToolItemClass o => o -> SeparatorToolItem
separatorToolItemNew :: IO SeparatorToolItem
separatorToolItemSetDraw :: SeparatorToolItemClass self => self -> Bool -> IO ()
separatorToolItemGetDraw :: SeparatorToolItemClass self => self -> IO Bool
separatorToolItemDraw :: SeparatorToolItemClass self => Attr self Bool

Detail

A `SeparatorToolItem` is a `ToolItem` that separates groups of other `ToolItem`s. Depending on the theme, a `SeparatorToolItem` will often look like a vertical line on horizontally docked toolbars.

If the property "expand" is `True` and the property "draw" is `False`, a `SeparatorToolItem` will act as a "spring" that forces other items to the ends of the toolbar.

Use `separatorToolItemNew` to create a new `SeparatorToolItem`.

Class Hierarchy

     |  GObject
     |   +----Object
     |         +----Widget
     |               +----Container
     |                     +----Bin
     |                           +----ToolItem
     |                                 +----SeparatorToolItem

Types
data SeparatorToolItem

Instances

GObjectClass SeparatorToolItem
SeparatorToolItemClass SeparatorToolItem
ToolItemClass SeparatorToolItem
BinClass SeparatorToolItem
ContainerClass SeparatorToolItem
WidgetClass SeparatorToolItem
ObjectClass SeparatorToolItem

class ToolItemClass o => SeparatorToolItemClass o

Instances

SeparatorToolItemClass SeparatorToolItem

castToSeparatorToolItem :: GObjectClass obj => obj -> SeparatorToolItem
toSeparatorToolItem :: SeparatorToolItemClass o => o -> SeparatorToolItem
Constructors
separatorToolItemNew :: IO SeparatorToolItem
Create a new `SeparatorToolItem`
Methods
separatorToolItemSetDraw :: SeparatorToolItemClass self => self -> Bool -> IO ()
Whether the separator tool item is drawn as a vertical line, or just blank. Setting this `False` along with Graphics.UI.Gtk.MenuComboToolbar.ToolItem.toolItemSetExpand is useful to create an item that forces following items to the end of the toolbar.
separatorToolItemGetDraw :: SeparatorToolItemClass self => self -> IO Bool
Returns whether the separator tool item is drawn as a line, or just blank. See `separatorToolItemSetDraw`.
Attributes
separatorToolItemDraw :: SeparatorToolItemClass self => Attr self Bool
Whether the separator is drawn, or just blank. Default value: `True`
Produced by Haddock version 2.4.2